function init(hero) {
    hero.setName("Invisible Woman/Susan Storm");
    hero.setTier(4);
    
    hero.setHelmet("Hair");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    
    hero.addPowers("tgheroes:sue_power");
    hero.addAttribute("PUNCH_DAMAGE", 3.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 1.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.1, 1);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 4.0, 0);

    hero.addKeyBind("SHIELD", "Forcefield", 1);
	hero.addKeyBind("INVISIBILITY", "Invisibility", 2);
	hero.setModifierEnabled(isModifierEnabled);
}

function isModifierEnabled(entity, modifier) {
    if (modifier.name() == "fiskheroes:controlled_flight") {
        return entity.getData("fiskheroes:shield");
	}
    return true;
}